### Method

# Meta Window get_frame_rect

#### Declaration [src]

    void
    meta_window_get_frame_rect (
      const MetaWindow* window,
      MtkRectangle* rect
    )

#### Description [src]

Gets the rectangle that bounds `window` that is what the user thinks of as the edge of the window.

This doesn’t include any extra reactive area that we or the client adds to the window, or any area that the client adds to draw a client-side shadow.

#### Parameters

`rect`

  Type: `MtkRectangle`

  Pointer to an allocated `MtkRectangle`.

  The argument will be set by the function.
  The returned data is owned by the instance.